extends Node2D

@onready var menu_area: Area2D = $MenuArea2D
@onready var intro_video_player: VideoStreamPlayer = $IntroVideoPlayer

# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	SoundManager.play("lich_intro_bgm", -5.0)
	pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta: float) -> void:
	pass


func _on_video_stream_player_finished() -> void:
	menu_area.visible = true
	intro_video_player.visible = false


func _on_swap_in_menu_image_timer_timeout() -> void:
	print("DING DING DING")
	menu_area.visible = true
	intro_video_player.visible = false
